ui.view

## Class DefaulTable

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - javax.swing.table.DefaultTableModel
    - - ui.view.DefaulTable

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.table.TableModel

      public class DefaulTable
      extends javax.swing.table.DefaultTableModel

  Default Table.
  Author:
    Gruppe14
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCellEditable(int row, int column)`
    `void` | `setCellEditable(int row, int col, boolean value)` Set Cell Editable.

    - ### Methods inherited from class javax.swing.table.DefaultTableModel

      `addColumn, addColumn, addColumn, addRow, addRow, getColumnCount, getColumnName, getDataVector, getRowCount, getValueAt, insertRow, insertRow, moveRow, newDataAvailable, newRowsAdded, removeRow, rowsRemoved, setColumnCount, setColumnIdentifiers, setColumnIdentifiers, setDataVector, setDataVector, setNumRows, setRowCount, setValueAt`

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, removeTableModelListener`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isCellEditable

          public boolean isCellEditable(int row,
                                        int column)

      Specified by:
        `isCellEditable` in interface `javax.swing.table.TableModel`
      Overrides:
        `isCellEditable` in class `javax.swing.table.DefaultTableModel`

    - #### setCellEditable

          public void setCellEditable(int row,
                                      int col,
                                      boolean value)

      Set Cell Editable.
      Parameters:
        `row` - the Rows
        `col` - the Cols
        `value` - true or false